\set id random(1,1000000)

select * from f
	join d1 on (f.id1 = d1.id)
	join d2 on (f.id2 = d2.id)
	join d3 on (f.id3 = d3.id)
	join d4 on (f.id4 = d4.id)
	join d5 on (f.id5 = d5.id)
	join d6 on (f.id6 = d6.id)
	join d7 on (f.id7 = d7.id)
        join d8 on (f.id8 = d8.id)
        join d9 on (f.id9 = d9.id)
        join d10 on (f.id10 = d10.id)
        join d11 on (f.id11 = d11.id)
        join d12 on (f.id12 = d12.id)
        join d13 on (f.id13 = d13.id)
        join d14 on (f.id14 = d14.id)
where f.id = :id
